# Quick Links

This recipe is intended to create a system for displaying and managing "quick
links" on your website, as are often found on the home page.

As these are usually simple and not intended to be accessed directly on their
own, they have been configured as Storage Entities, so they won't clutter up the
Add Content menu, need to be excluded from any site search configuration, etc.

In addition to creating a bundle for managing quick links, it also provides a
view block for presenting them in a grid, and a page view to allow drag-and-drop
sorting using DraggableViews.

Icons can be chosen from the media library for each link, using SVG images. Note
that the installed configurations are just a starting point, and you can alter
or extend the configuration to meet your site's needs.

## Table of contents

- Requirements
- Installation
- Configuration
- Maintainers


## Requirements

By design this module does not use nodes for the links, since they are not meant
to be accessed directly, and should hold minimal data. As such it requires the
Storage Entities module as a more suitable way to mange the data. This recipe
also requires the Add Content by Bundle module to simplify the process of adding
new links. In a similar vein the Display Link Plus and Draggable Views modules
make the editor UI more intuitive. Finally, the SVG Image Field module allows
for SVG images to be used as icons, for a performant, robust UI.

## Installation

- Install the Quick Links recipe as you would normally install a contributed
  Drupal recipe. See the Recipes [Getting Started Guide](https://git.drupalcode.org/project/distributions_recipes/-/blob/1.0.x/docs/getting_started.md) for further information. We strongly recommend using
  composer to ensure all dependencies will be handled automatically.
- This will import configuration. Once installed, the module doesn't really
  provide any additional functionality, so it can be uninstalled. Note that
  you won't be able to install it again on the same site, unless you delete the
  Quick Link bundle and Quick Links view that were installed originally.
- There is also a [Quick Links Format Olivero](https://www.drupal.org/project/quick_links_format_olivero) companion module that is
  recommended if using Quick Links on a site using the Olivero theme. If using a
  custom theme, you may need to implement similar CSS to what is found in this
  companion module. When installed, the module also automatically puts the Quick
  Links block above the content only on the site home page, so if you're not
  using it you will need to place this block and configure it yourself.


## Configuration

 * If you'd like to tweak the size of the icons and the grid, these are settings
   in the Quick Links view. The size of the icons can be changed through the
   "Image width" and "Image height" attributes in the "(field_icon: Media)
   Media: SVG" field. The grid layout can be tweaked in the Responsive Grid
   settings, including the maximum number of columns, the minimum cell width,
   and more.


## Maintainers

 * Martin Anderson-Clutz [mandclu](https://www.drupal.org/u/mandclu)
